#include <fstream>
#include <string>

using namespace std;

string ToBinary(string &a, long long &b)
{
	long long temp = b;
	b >>= 1;
	if (b != 0)
	{
		ToBinary(a, b);
	}
	a += (temp % 2 == 0) ? '0' : '1';
	return a;
}

int main()
{
	ifstream input("dayso.inp");
	ofstream output("DOINP.OUT");

	int n;
	input >> n;
	long long a;
	for (int i = 0; i < n; i++)
	{
		string b;
		input >> a;
		if (a > 0)
		output << ToBinary(b, a) << '\n';
	}

	input.close();
	output.close();
	return 0;
}